FilterSet (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.FilterSet interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface FilterSet

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface FilterSet

extends ModelObject

Naming Rules:
  0="parent"
Persistable:
  true
Table Name:
  FILTERSET
Display Name:
  parent

Method Summary
`int` | `getBoolExp()`
`Filter[]` | `getFilterList()`
`Template` | `getParent()`
`boolean` | `hasBoolExp()`
`boolean` | `hasFilterList()`
`boolean` | `hasParent()`
`void` | `setBoolExp(int boolExp)` Sets the boolExp.
`void` | `setFilterList(Filter[] filterList)` Sets the filterList.
`void` | `setParent(Template parent)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    Template getParent()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(Template parent)

### hasParent

    boolean hasParent()

### getFilterList

    Filter[] getFilterList()
                           throws AttributeNotSetException

  Returns:
    Filter[]
  Throws:
    `AttributeNotSetException`
  Table Name:
    FILTERSET_FILTERLIST
  Containment Relationship:
    true

### setFilterList

    void setFilterList(Filter[] filterList)

  Sets the filterList.

  Parameters:
    `filterList` - Set the filterList

### hasFilterList

    boolean hasFilterList()

### getBoolExp

    int getBoolExp()
                   throws AttributeNotSetException

  Returns:
    int
  Throws:
    `AttributeNotSetException`

### setBoolExp

    void setBoolExp(int boolExp)

  Sets the boolExp.

  Parameters:
    `boolExp` - The boolExp to set

### hasBoolExp

    boolean hasBoolExp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD